@import url("/t/_common/css/spacing/ReNetMargins.css");
@import url("/t/_common/css/spacing/ReNetPadding.css");

/* ReNet Development */
.backend_dev:after {
    align-content:center;
    background-color:rgba(255, 0, 0, 0.5);
    bottom: 0;
    color:rgba(255, 255, 255, 1);
    content:'Backend Development Required';
    display:grid;
    font-family: Arial, Helvetica, sans-serif;
    font-size:32px;
    left: 0;
    position: absolute;
    right: 0;
    text-align:center;
    text-transform: uppercase;
    top: 0;
}

@media screen and (min-width:320px){
    /* Global */
    .btn, input[type='submit'],
    button[type='submit'] {
        align-content: center;
        border-radius:0;
        border-style:solid;
        border-width:1px;
        box-shadow:0;
        box-sizing:border-box;
        cursor:pointer;
        display:inline-grid;
        font-size:16px;
        font-weight:bold;
        height:50px;
        letter-spacing:0.05em;
        margin:0;
        padding:0 15px;
        min-width:125px;
        text-transform:uppercase;
        -webkit-transition:all 0.2s ease-out;
        transition:all 0.2s ease-out;
        -webkit-appaearance:none !important;
    }

    .btn:hover,
    input[type='submit']:hover,
    button[type='submit']:hover {
        background-color:transparent;
        border-style:solid;
        border-width:1px;
        box-sizing:border-box;
    }

    .btn:focus, input[type='submit']:focus, button[type='submit']:focus,
    .btn:active, input[type='submit']:active, button[type='submit']:active {
        border-style:solid;
        border-width:1px;
        box-sizing:border-box;
        outline:none;
    }

     /* Modal Window */
    .md-modal {
        max-height: 90vh;
        overflow: hidden;
        z-index:25000;
    }

    .md-modal .md-content > div {
        position:relative;
    }

    .md-overlay {
        z-index:20000;
    }

    .responsive-image {
        max-width:100%;
    }

    .grid_hidden {
        display:none;
    }

    /* Base Layout */
    #greenfields {
        margin:0;
        overflow-x: hidden;
        position:relative;
        top:0;
        -webkit-transition: all 0.35s ease-out;
        transition: all 0.35s ease-out;
        width:100vw;
    }

    #greenfields a {
        text-decoration:none;
    }

    #greenfields #grid_parent {
        grid-template-areas:
            "header"
            "content"
            "footer"
            "copyright";
        position:relative;
        z-index:+1;
    }

    #greenfields #grid_header_parent {
        grid-area:header;
        left:0;
        position:fixed;
        top:0;
        width:100vw;
        z-index:20000;
    }

    #greenfields #grid_page_content_parent {
        /* background-color:; */
        grid-area:content;
        min-height:200px;
        position:relative;
        z-index:+1;
    }

    #greenfields #grid_footer_parent {
        grid-area:footer;
        position:relative;
        z-index:+1;
    }

    #greenfields.type_2700 #grid_footer_parent {
        z-index: unset;
    }

    #greenfields #grid_copyright_parent {
        grid-area:copyright;
        position:relative;
        z-index:+1;
    }
}

@media screen and (min-width:1024px){
    
}